diff -Naur tuxpuck-0.8.2.orig/Makefile tuxpuck-0.8.2/Makefile
--- tuxpuck-0.8.2.orig/Makefile	2008-06-17 00:04:17.000000000 -0500
+++ tuxpuck-0.8.2/Makefile	2008-06-17 00:04:29.000000000 -0500
@@ -55,4 +55,4 @@
 	install -d $(DESTDIR)/usr/bin
 	install -d $(DESTDIR)/usr/man/man6
 	install -m755 $(NAME) $(DESTDIR)/usr/bin
-	install -m644 man/$(NAME).6.gz $(DESTDIR)/usr/man/man6
+	install -m644 man/$(NAME).6 $(DESTDIR)/usr/man/man6
diff -Naur tuxpuck-0.8.2.orig/data/Makefile tuxpuck-0.8.2/data/Makefile
--- tuxpuck-0.8.2.orig/data/Makefile	2008-06-17 00:04:17.000000000 -0500
+++ tuxpuck-0.8.2/data/Makefile	2008-06-17 00:04:29.000000000 -0500
@@ -1,5 +1,6 @@
 # Makefile for TuxPuck , Copyright Jacob Kroon 2001-2002
 CC		= gcc
+CFLAGS		+= -g -Wall
 SOURCES		= pad_png.c puck_png.c tux_png.c glass_png.c scoreboard_png.c \
 		  arcana_png.c mousebar_png.c title_jpg.c board_jpg.c \
 		  logo_jpg.c crash_ogg.c nock_ogg.c tux_apps_ogg.c \
diff -Naur tuxpuck-0.8.2.orig/man/tuxpuck.6 tuxpuck-0.8.2/man/tuxpuck.6
--- tuxpuck-0.8.2.orig/man/tuxpuck.6	1969-12-31 18:00:00.000000000 -0600
+++ tuxpuck-0.8.2/man/tuxpuck.6	2008-06-17 00:04:29.000000000 -0500
@@ -0,0 +1,63 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH "TUXPUCK" "6" "March  25, 2002"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+tuxpuck \- "Shufflepuck Cafe" Clone
+.SH SYNOPSIS
+\fBtuxpuck\fP
+.\" .RI [ options ] " files" ...
+.SH DESCRIPTION
+Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST?
+.br
+I do.
+.PP
+\fBTuxPuck\fP is a shufflepuck game written in C using SDL. The
+player moves a pad around a board and tries to shoot down the puck
+through the opponents defense.
+.SH OPTIONS
+This program does not take any command line arguments.
+.SH CONFIG FILE
+The config file ".tuxpuckrc" is located in your home directory. It is
+automatically written when the game quits. 
+.SH CONFIG FILE FORMAT
+Just "\fBTAG\fP \fBVALUE\fP", each option seperated by Returns.
+.SH CONFIG FILE OPTIONS
+\fBSOUND\fP       1 = ON, 0 = OFF
+.br
+\fBFULLSCREEN\fP  1 = ON, 0 = OFF
+.br
+\fBMOUSESPEED\fP  between 1 and 10, 1 slowest, 10 fastest
+.SH IN-GAME CONTROL
+\fBMOUSE\fP   Move the pad
+.br
+\fBF\fP       Toggle fullscreen mode
+.br
+\fBF1\fP      Toggle sound
+.br
+\fBF5\fP      Decrease mouse speed
+.br
+\fBF6\fP      Increase mouse speed
+.\" .SH SEE ALSO
+.\" .BR bar (1),
+.\" .BR baz (1).
+.\" .br
+.\" The programs are documented fully by
+.\" .IR "The Rise and Fall of a Fooish Bar" ,
+.\" available via the Info system.
+.SH AUTHOR
+The TuxPuck game was written by Jacob "noork" Kroon, <d00jkr@efd.lth.se>.
+This manual page was written by Sven Velt <sven@velt.de>.
diff -Naur tuxpuck-0.8.2.orig/tuxpuck.c tuxpuck-0.8.2/tuxpuck.c
--- tuxpuck-0.8.2.orig/tuxpuck.c	2008-06-17 00:04:17.000000000 -0500
+++ tuxpuck-0.8.2/tuxpuck.c	2008-06-17 00:04:29.000000000 -0500
@@ -250,7 +250,9 @@
   _settings->mouse_speed = 5;
 #ifndef windows
   homeDir = getenv("HOME");
-  sprintf(_settings_file, "%s/.tuxpuckrc", homeDir);
+  /* Buffer overflow fixed!
+   * sprintf(_settings_file, "%s/.tuxpuckrc", homeDir); */
+  snprintf(_settings_file, sizeof(_settings_file)-1, "%s/.tuxpuckrc", homeDir);
 #endif
   _read_settings();
   audio_set_mute(!_settings->sound);
